Events Planner Logo
Name is required.
Email address is required.
Invalid email address
Answer is required.
Exceeding max length of 5KB

PHP V7.2 error on array

John — Mar 12, 2018 02:41PM MDT

Hi Abel,

I have been encountered with a necessary upgrade to V7,2.
Now I got errors and the event is not working properly.
Unfortunately, I can't downgrade back to 7.0 as this is related to my hosting environment.

This is, in general, the messages I see:

Warning: count(): Parameter must be an array or an object that implements Countable in
wp-content/plugins/events-planner-pro/application/helpers/
common-helper.php on line 2409
common-helper.php on line 1331
common-helper.php on line 1333

My attendees are able to select an option value, but the program does not update the count and therefore no registration can be done.

Do you have a solution for me?

Regards,
John


3 Community Answers

Abel - Mar 12, 2018 at 08:26PM MDT

WP Events Planner Agent

Hi John.

Please set me up as an admin user on the website and I will gladly check it out (email login details to help a[t]~ wpeventsplanner.com). Please don’t post the credentials here as this is a public post.

Thanks, Abel

rated : 0 Up Down

John - Mar 13, 2018 at 12:46PM MDT

Hello Abel,

User created and email sent. I hope you can find the solution for me.

Thx
John

rated : 0 Up Down

Abel - Mar 13, 2018 at 09:24PM MDT

WP Events Planner Agent

Thanks John.

Just replied to your email on how to hide the errors with https://www.screencast.com/t/8FjnS81KTH . This should work for all themes. I am currently working on making the plugin PHP 7+ compatible also.

Thanks, Abel

rated : 0 Up Down

Post Your Public Answer